Apache Tomcat 6.0.51

## org.apache.tomcat.util.net
Interface SecureNioChannel.ApplicationBufferHandler

All Known Implementing Classes:
  NioEndpoint.NioBufferHandler

Enclosing class:
  SecureNioChannel

    public static interface SecureNioChannel.ApplicationBufferHandler

Callback interface to be able to expand buffers when buffer overflow exceptions happen

Method Summary
`java.nio.ByteBuffer` | `expand(java.nio.ByteBuffer buffer, int remaining)`
`java.nio.ByteBuffer` | `getReadBuffer()`
`java.nio.ByteBuffer` | `getWriteBuffer()`

Method Detail

### expand

    java.nio.ByteBuffer expand(java.nio.ByteBuffer buffer,
                               int remaining)

### getReadBuffer

    java.nio.ByteBuffer getReadBuffer()

### getWriteBuffer

    java.nio.ByteBuffer getWriteBuffer()

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.